Package com.explodingpixels.widgets

## Class ImageUtils

- java.lang.Object
- - com.explodingpixels.widgets.ImageUtils

    public class ImageUtils
    extends java.lang.Object

A utility class for working with `Image`s.

### Method Summary

All Methods Static Methods Concrete Methods
`static java.awt.image.BufferedImage` `getHorizontalSubImage​(java.awt.Image image, int x, int width)`
`static java.awt.image.BufferedImage` `getSubImage​(java.awt.Image image, int x, int y, int width, int height)`
`static java.awt.image.BufferedImage` `getVerticalSubImage​(java.awt.Image image, int y, int height)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getHorizontalSubImage

    public static java.awt.image.BufferedImage getHorizontalSubImage​(java.awt.Image image,
                                                                     int x,
                                                                     int width)

#### getVerticalSubImage

    public static java.awt.image.BufferedImage getVerticalSubImage​(java.awt.Image image,
                                                                   int y,
                                                                   int height)

#### getSubImage

    public static java.awt.image.BufferedImage getSubImage​(java.awt.Image image,
                                                           int x,
                                                           int y,
                                                           int width,
                                                           int height)